Index: kernel/utility/debugger.php
===================================================================
--- kernel/utility/debugger.php	(revision 13956)
+++ kernel/utility/debugger.php	(working copy)
@@ -1222,7 +1222,7 @@
 						$Debugger.DOMViewerURL = '<?php echo constant('DBG_DOMVIEWER'); ?>';
 						$Debugger.EditorPath = '<?php echo defined('DBG_EDITOR') ? addslashes(DBG_EDITOR) : '' ?>';
 						$Debugger.DebugURL = '<?php echo $this->baseURL.'/debugger_responce.php?sid='.$this->rowSeparator.'&path='.urlencode($dbg_path); ?>';
-						$Debugger.EventURL = '<?php echo is_object($application->Factory) ? $application->HREF('dummy', '', Array ('pass' => 'm')) : ''; ?>';
+						$Debugger.EventURL = '<?php echo is_object($application->Factory) ? $application->HREF('dummy', '', Array ('pass' => 'm', '__NO_REWRITE__' => 1)) : ''; ?>';
 						<?php
 							if ($this->IsFatalError || (DBG_RAISE_ON_WARNINGS && $this->WarningCount)) {
 								echo '$Debugger.Toggle();';
Index: kernel/utility/unit_config_reader.php
===================================================================
--- kernel/utility/unit_config_reader.php	(revision 13962)
+++ kernel/utility/unit_config_reader.php	(working copy)
@@ -441,7 +441,9 @@
 		$this->ParseConfigs();
 		$this->AfterConfigRead(false);
 		$this->processDynamicClones();
-		$this->retrieveCollections();
+
+		// don't call kUnitConfigReader::retrieveCollections since it
+		// will overwrite what we already have in kApplication class instance
 	}
 
 	/**
Index: units/site_domains/site_domain_eh.php
===================================================================
--- units/site_domains/site_domain_eh.php	(revision 13936)
+++ units/site_domains/site_domain_eh.php	(working copy)
@@ -17,18 +17,19 @@
 	class SiteDomainEventHandler extends kDBEventHandler {
 
 		/**
-		 * Allows to override standart permission mapping
+		 * Permission check override
 		 *
+		 * @param kEvent $event
 		 */
-		function mapPermissions()
+		function CheckPermission(&$event)
 		{
-			parent::mapPermissions();
+			if ($event->Name == 'OnItemBuild') {
+				// check permission without using $event->getSection(),
+				// so first cache rebuild won't lead to "ldefault_Name" field being used
+				return true;
+			}
 
-			$permissions = Array (
-				'OnItemBuild' => Array ('self' => true),
-			);
-
-			$this->permMapping = array_merge($this->permMapping, $permissions);
+			return parent::CheckPermission($event);
 		}
 
 		/**
